<%--
 This is the HMC Welcome page.
--%>

<%@taglib prefix="c"   uri="http://java.sun.com/jstl/core"%>
<%@taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt"%>
<%@taglib prefix="hmc" uri="/WEB-INF/hmc.tld"%>
<%@page session="false"%>   <%-- prevent a session from being created --%>

<fmt:bundle basename="com.ibm.hwmca.fw.servlet.preloginmonitor.res.preloginmonitor">

<jsp:useBean id="statusBean"
		class="com.ibm.hwmca.fw.servlet.preloginmonitor.PreLoginMonitor"
        scope="application">
</jsp:useBean>
<html>
<head>
  <hmc:title><jsp:getProperty name='statusBean' property='welcomeTitle'/></hmc:title>
  <link rel="SHORTCUT ICON" href="/favicon.ico"/>
  <link rel="icon" href="/hmc.png" type="image/png"/>
</head>
<c:set var="customerWelcomeText" value="${statusBean.customerWelcomeText}"/>
<%-- The following is the frameset row allocation if there is no customer welcome text --%>
<c:set var="frameSetRowAllocation" value="35%,*"/>
<c:if test="${not empty customerWelcomeText}">
   <%-- The following is the row allocation if there is customer welcome text --%>
   <c:set var="frameSetRowAllocation" value="55%,*"/>
</c:if>
<frameset rows="<c:out value='${frameSetRowAllocation}'/>" frameborder="0" framespacing="0">
   <frame src="/preloginmonitor/welcome.jsp"/>

   <!-- The pre-login monitor page -->
    <frame name="preloginmonitor" src="/preloginmonitor/status.jsp"/>

   <noframes>
      <fmt:message key="welcome_frame_warning"/>
   </noframes>
</frameset>
</html>
</fmt:bundle>
